version: '3'

services:
  nginx:
    image: nginx:latest
    container_name: nginx
    ports:
      - '80:80'
      - '443:443'
    volumes:
      - ./production.nginx.conf:/etc/nginx/conf.d/default.conf
      - ./Excel-Accounts-Auth/build/:/usr/share/nginx/html/auth/
      - ./Excel-Accounts-Frontend/build/:/usr/share/nginx/html/
      - ../cert/:/var/www/html
      - ../cert/dhparam/:/etc/ssl/certs/
      - certbot-etc:/etc/letsencrypt
      - certbot-var:/var/lib/letsencrypt
    depends_on:
      - api

  api:
    container_name: api
    image: excelmec/accounts-api:staging
    volumes:
      - ./Excel-Accounts-Backend/API/Keys:/api/Keys/
    environment:
      - POSTGRES_DB=${POSTGRES_DB}
      - GOOGLE_CLIENT_ID=${GOOGLE_CLIENT_ID}
      - GOOGLE_CLIENT_SECRET=${GOOGLE_CLIENT_ID}
      - ACCESS_TOKEN=${ACCESS_TOKEN}
      - REFRESH_TOKEN=${REFRESH_TOKEN}
      - ISSUER=${ISSUER}
      - ENCRYPTION_QRCODE=${ENCRYPTION_QRCODE}
      - ENCRYPTION_FILENAME=${ENCRYPTION_FILENAME}
      - GOOGLE_CLOUD_STORAGE_BUCKET=${GOOGLE_CLOUD_STORAGE_BUCKET}
      - CLOUD_STORAGE_URL=${CLOUD_STORAGE_URL}
      - GOOGLEAPI=${GOOGLEAPI}
      - API_PREFIX=${API_PREFIX}
      - SERVICE_KEY=${SERVICE_KEY}
      - GOOGLE_CREDENTIAL=${GOOGLE_CREDENTIAL}
    ports:
      - '5000:5000'

  certbot:
    image: certbot/certbot
    container_name: certbot
    volumes:
      - certbot-etc:/etc/letsencrypt
      - certbot-var:/var/lib/letsencrypt
      - ../cert/:/var/www/html
    depends_on:
      - nginx
    command: certonly --webroot --webroot-path=/var/www/html --email ajeshkumar36020@gmail.com --agree-tos --no-eff -d accounts.excelmec.org

volumes:
  certbot-etc:
  certbot-var:

